//+----------------------------------------+//
//|	Selfmade                           |//
//+----------------------------------------+//

textures/vorago/tele_lines
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	cull none

	qer_editorimage textures/vorago/lines2.tga

	{
		map textures/vorago/lines2.tga
		blendfunc add
		tcMod scroll 0 0.2
		alphafunc GE128
	}
}

textures/vorago/void
{
	qer_editorimage textures/vorago/black.jpg
    	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	{
		map textures/vorago/black.jpg
	}
}

textures/vorago/noclimb
{
	qer_trans 0.50
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}


textures/vorago/rocky
{
	qer_editorimage textures/vorago/rock_new2.jpg
	q3map_nonplanar
	q3map_shadeAngle 150
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/vorago/rock_new2.jpg
		rgbGen identity
	}
        {
		map textures/vorago/rock_new2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
        }
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//+----------------------------------------+//
//|	From Nexus6                        |//
//+----------------------------------------+//

textures/vorago/e6bsegrtflr256_s
{
	qer_editorimage textures/vorago/e6bsegrtflr256.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/vorago/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/vorago/e6horzlight_s_1500
{
	qer_editorimage textures/vorago/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/vorago/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vorago/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/vorago/e6horzlight_s_5000
{
	qer_editorimage textures/vorago/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/vorago/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vorago/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/vorago/e6v_light_h_sm_s_5k
{
	qer_editorimage textures/vorago/e6v_light_h_sm.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightRGB .5 .75 1
	{
		map textures/vorago/e6v_light_h_sm.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vorago/e6v_light_h_sm_blend.tga
		blendfunc add
	}
}

textures/vorago/e6v_light_s_10k
{
	qer_editorimage textures/vorago/e6v_light.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/vorago/e6v_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vorago/e6v_light_blend.tga
		blendfunc add
	}
}

textures/vorago/e6v_light_s_2500
{
	qer_editorimage textures/vorago/e6v_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/vorago/e6v_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/vorago/e6v_light_blend.tga
		blendfunc add
	}
}

textures/vorago/glass_02_s
{
	qer_editorimage textures/vorago/scratchglass.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/vorago/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}


//+----------------------------------------+//
//|	From Niveus                        |//
//+----------------------------------------+//

textures/vorago/e8bgrate01_s
{
	qer_editorimage textures/vorago/e8bgrate01.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/vorago/e8bgrate01.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}